A project's automation configuration determines the goal state of its MongoDB processes and agents. The MongoDB Agent builds the deployment according to the goals specified.
Important
A project's automation configuration might contain sensitive information, including passwords or key values. To get the automation configuration with sensitive information redacted, use the /groups/{PROJECT-ID}/automationConfig/noSecrets endpoint.
To update the configuration, include the version value from the GET request response in your PUT request body. To learn more, see Update the Automation Configuration.
Required Roles
This resource requires the Project Automation Admin role.
Resource
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0
GET /groups/{PROJECT-ID}/automationConfigRequest
Path Parameters
Name | Type | Necessity | Description |
|---|---|---|---|
PROJECT-ID | string | Required | Unique identifier of the group that owns the automation configuration. |
Query Parameters
The following query parameters are optional:
Name | Type | Necessity | Description | Default |
|---|---|---|---|---|
pretty | boolean | Optional | Flag indicating whether the response body is in a prettyprint format. |
|
envelope | boolean | Optional | Flag that indicates whether to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. For endpoints that return one result, the response body includes:
|
|
Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
To review these parameters, see Automation Configuration Parameters.
Example Request
curl --user "{publicApiKey}:{privateApiKey}" --digest \ --request GET "https://<OpsManagerHost>:<Port>/api/public/v1.0/groups/{PROJECT-ID}/automationConfig?pretty=true" \ --output currentAutomationConfig.jsonExample Response
Response Header
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-aliveHTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}Response Body
To review an example of this configuration, see Example Automation Configuration.